package com.hzs.member.base;

import com.hzs.common.core.domain.R;
import com.hzs.common.domain.member.base.CuMemberTeam;
import com.hzs.common.domain.member.ext.CuMemberTeamExt;

import java.util.List;
import java.util.Map;

/**
 * 根据国家查询隶属团队配置列表api
 **/
public interface IMemberTeamServiceApi {

    /**
     * 根据国家查询隶属团队配置列表
     **/
    R<List<CuMemberTeamExt>> queryCuMemberTeam(Integer pkCountry);

    /**
     * 根据体系id 查询是否有团队占用该体系
     *
     * @param pkVertex
     * @return
     */
    R<Boolean> checkVertex(Integer pkVertex);

    /*
     *  根据主键获得所属团队
     **/
    R<CuMemberTeamExt> getCuMemberTeamById(Long pkMember);

    /**
     * 查询体系团队map
     *
     * @param pkVertexList
     * @return
     */
    R<Map<Long, CuMemberTeam>> getTeamByVertexIds(List<Integer> pkVertexList);

}
